%define name libcaca
%define version 0.99
%define pre beta16
%define release %mkrel 0.%pre.5
%define build_slang 1

%define major 0
%define libname %mklibname caca %major
%define develname %mklibname -d caca

Name: %{name}
Version: %{version}
Release: %{release}
URL: http://libcaca.zoy.org/
Source: http://libcaca.zoy.org/attachment/wiki/libcaca/%{name}-%{version}.%pre.tar.gz
License: WTFPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildrequires: X11-devel, libncursesw-devel >= 5
%if %build_slang
Buildrequires: slang-devel
%endif
Buildrequires: imlib2-devel
Buildrequires: libpango-devel
Buildrequires: libmesaglut-devel
Buildrequires: doxygen, tetex-latex, tetex-dvips
Buildrequires: automake1.7
Buildrequires: ruby-devel
%ifnarch %mips %arm
BuildRequires: mono
%endif

Summary: Text mode graphics library
%description
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

%package -n %libname
Summary: Text mode graphics library
Group: System/Libraries

%description -n %libname
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.


%package -n %develname
Summary: Development files for libcaca
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %libname = %version
Obsoletes: %mklibname -d caca 0

%description -n %develname
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to
compile applications or shared objects that use libcaca.

%package -n caca-utils
Summary: Text mode graphics utilities
Group: Graphics
%description -n caca-utils
This package contains utilities and demonstration programs for libcaca, the
Colour AsCii Art library.

cacaview is a simple image viewer for the terminal. It opens most image
formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
ASCII art. The user can zoom and scroll the image, set the dithering method
or enable anti-aliasing.

cacaball is a tiny graphic program that renders animated ASCII metaballs on
the screen, cacafire is a port of AALib's aafire and displays burning ASCII
art flames, cacamoir animates colourful moire circles and cacaplas displays
an old school plasma effect.

cacademo is a simple application that shows the libcaca rendering features
such as line and ellipses drawing, triangle filling and sprite blitting.

%ifnarch %mips %arm
%package -n caca-sharp
Summary: C# binding for libcaca
Group: Development/Other

%description -n caca-sharp
C# binding for libcaca
%endif

%package -n ruby-caca
Summary: Ruby binding for libcaca
Group: Development/Ruby

%description -n ruby-caca
Ruby binding for libcaca

%prep
%setup -q -n %name-%version.%pre

%build
# blame pascal for that :P
automake -a -c -f || /bin/true;
autoreconf -fi
%configure2_5x \
%if %build_slang
  --enable-slang \
%else
  --disable-slang \
%endif
--enable-ncurses --enable-x11 --enable-imlib2 --enable-doc --enable-plugins

%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std
%multiarch_binaries %buildroot%_bindir/caca-config
mv %{buildroot}%{_datadir}/doc/libcaca-dev installed-docs
mkdir %{buildroot}%{_datadir}/doc/caca-utils-%{version}
rm %buildroot%{_datadir}/doc/libcucul-dev

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*
# FIXME split them into subpackage, to avoid dependency on X
%_libdir/caca/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc installed-docs/pdf/* installed-docs/html NEWS NOTES
%{_bindir}/caca-config
%_bindir/*/caca-config
%{_includedir}/*
%{_mandir}/man1/caca-config.1*
%{_mandir}/man3/*
%_libdir/pkgconfig/*.pc
%_libdir/lib*.so
%_libdir/lib*a
%_libdir/caca/lib*.so
%_libdir/caca/lib*a

%files -n caca-utils
%defattr(-,root,root)
%doc README THANKS AUTHORS
%{_bindir}/cacademo
%{_bindir}/cacafire
%{_bindir}/cacaplay
%{_bindir}/cacaserver
%{_bindir}/cacaview
%_bindir/img2txt
%{_datadir}/libcaca/
%{_mandir}/man1/cacademo.1*
%{_mandir}/man1/cacafire.1*
%{_mandir}/man1/cacaplay.1*
%{_mandir}/man1/cacaserver.1*
%{_mandir}/man1/cacaview.1*
%_mandir/man1/img2txt.1*

%ifnarch %mips %arm
%files -n caca-sharp
%{_libdir}/caca-sharp/caca-sharp.dll
%{_libdir}/caca-sharp/caca-sharp.dll.config
%endif

%files -n ruby-caca
%{ruby_sitelibdir}/caca.rb
%{ruby_sitearchdir}/*.so
%exclude %{ruby_sitearchdir}/*a


%changelog
* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 0.99-0.beta16.5mdv2010.0
+ Revision: 449857
- fix libtool troubles (from Arnaud Patard)
- disable mono on arm too
- disable mono on mips (from Arnaud Patard)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.99-0.beta16.4mdv2010.0
+ Revision: 425523
- rebuild

  + Pascal Terjan <pterjan@mandriva.org>
    - Use plugins to not link the lib against X

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 0.99-0.beta16.2mdv2009.1
+ Revision: 300541
- rebuild for new libxcb

* Sat Oct 18 2008 Pascal Terjan <pterjan@mandriva.org> 0.99-0.beta16.1mdv2009.1
+ Revision: 294925
- Update to beta16

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.99-0.beta15.3mdv2009.1
+ Revision: 293564
- fix pkgconfig file

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.99-0.beta15.2mdv2009.1
+ Revision: 292189
- rebuild
- new version
- update file list

* Fri Jul 18 2008 Pascal Terjan <pterjan@mandriva.org> 0.99-0.beta14.1mdv2009.0
+ Revision: 238226
- Update to beta 14
- Disable --no-undefined for ruby binding

* Fri Jun 13 2008 Götz Waschk <waschk@mandriva.org> 0.99-0.beta13.2mdv2009.0
+ Revision: 218743
- 0.99beta13b
- new version
- drop ruby patch
- patch for gcc 4.3

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Pascal Terjan <pterjan@mandriva.org>
    - Update URL
    - Fix license

* Thu Nov 29 2007 Pascal Terjan <pterjan@mandriva.org> 0.99-0.beta13.1mdv2008.1
+ Revision: 113868
- update to 0.99 beta13
- build C# and Ruby bindings

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 0.99-0.beta12.1mdv2008.1
+ Revision: 101111
- new version
- drop patch
- new devel name

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%{_datadir}/man by %%{_mandir}!

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.99-0.beta11.2mdv2008.0
+ Revision: 34314
- Rebuild with libslang2.


* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 0.99-0.beta11.1mdv2007.0
+ Revision: 90333
- Import libcaca

* Mon Dec 04 2006 Gtz Waschk <waschk@mandriva.org> 0.99-0.beta11.1mdv2007.1
- fix buildrequires
- rediff patch 1
- add library package
- drop patch 0
- new version

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9-15mdv2007.0
- Rebuild

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 0.9-14mdv2007.0
- disable slang on x86_64 to make it build

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 0.9-13mdv2007.0
- remove debug files
- fix devel deps

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9-12mdk
- fix requires

* Sat May 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9-11mdk
- fix buildrequires

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9-10mdk
- Rebuild

* Thu Aug 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.9-9mdk
- Rebuild

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9-8mdk
- Patch1: fix a4wide check for new file location

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9-7mdk
- multiarch support

* Sat Aug 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-6mdk
- really fix buildrequires

* Thu Aug 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-4mdk
- patch to fix man pages build

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- fix 9.0 build

* Sat Feb 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix directory ownership

* Mon Feb 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Mon Feb 02 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.9-1
- new release

* Sun Jan 18 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.8-1
- new release

* Wed Jan 07 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.7-1
- new release

* Sun Jan 04 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.6-2
- install documentation into {doc}/package-version instead of {doc}/package
- added tetex-dvips to the build dependencies

* Sat Jan 03 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.6-1
- new release
- more detailed descriptions
- split the RPM into libcaca-devel and caca-utils
- packages are rpmlint clean

* Mon Dec 29 2003 Richard Zidlicky <rz@linux-m68k.org> 0.5-1
- created specfile

